Roku legacy products

Help with Roku products that no longer receive software updates, are no longer supported for channel updates, etc.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
elDucko
Level 7

can't update past version 9.1.0

I'm trying to run Curiosity Stream. They say it requires version 9.3.0, but my Roku unit insists that 9.1.0 is the latest.

Is there a way to force an update? My unit is a model 3050X - Roku 2 XD.

0 Kudos
4 REPLIES 4
StreamerUser
Level 20

Re: can't update past version 9.1.0

No, its too old/underpowered for newer firmware/app versions/updates - it was released 9 years ago.

You'll need to buy a newer model.

0 Kudos
bobhale837
Level 7

Re: can't update past version 9.1.0

appears ROKU 2XD can't update past Ver 9.1, however my ROKU 1 (which I would assume is an earlier ROKU unit than the ROKU 2 XD), updated from Ver 9.3 To Ver 11.0.0 with no problem. I would think the later version ROKU 2 would have updated?? 

0 Kudos
RokuDanny-R
Roku Employee
Roku Employee

Re: can't update past version 9.1.0

@bobhale837

Thanks for the post.

Please be aware that the Roku 2 XD is a much older device that is no longer supported. However, we would be happy to see what we can do to help get you back up and running.

Please provide us with the serial number of your Roku device (printed on the side/back of the device) and I'll have our support team reach out directly to assist you further. 


Thanks,
Danny

Danny R.
Roku Forum Moderator
0 Kudos
DBDukes
Community Streaming Expert

Re: can't update past version 9.1.0


@bobhale837 wrote:

appears ROKU 2XD can't update past Ver 9.1, however my ROKU 1 (which I would assume is an earlier ROKU unit than the ROKU 2 XD), updated from Ver 9.3 To Ver 11.0.0 with no problem. I would think the later version ROKU 2 would have updated?? 


You're confusing the model name, Roku 1, with the generation. Roku 1 is a third generation device. Roku 2XD is a second generation device.

All first and second generation devices are no longer supported and will not receive updates. The third generation devices, including Roku 1 model 2710, are still supported, at least by Roku. Some app developers don't support that or similar models.

DBDukes
Roku Community Streaming Expert
Note: I am not a Roku employee.

If this post solves your problem please help others find this answer and click "Accept as Solution."

0 Kudos